:root {
    --primary-dark: #002145;
    --primary-light-font: #898989;
    --accent-red: #FF0000;
    --white: #ffffff;
    --red-btn: #FF3232;
    --text-dark: #002145;
    --alert-red: #EA1934;
    --bg-light: #F7F7F7;
    --bg-border: #D5D5D5;
    --input-bg: #F1F1F1;
    --box-shadow-soft: 0 5px 20px rgba(0, 0, 0, 0.15);
    --font-family: 'Poppins', sans-serif;
    --card-bg: #DE0A24;
    --subtitle-bg: #E7F7F0;
    --title-green: #1FB86C;
}

.main-wrapper {
    display: flex;
    height: 100vh;
    position: relative;
}

.left-side {
    width: 70%;
    overflow: hidden;
}

.background-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.right-side {
    width: 30%;
    background-color: var(--alert-red);
}

.login-form-wrapper {
    font-family: var(--font-family);
    position: absolute;
    top: 50%;
    left: 70%;
    transform: translate(-50%, -50%);
    width: 400px;
    z-index: 5;
    background: var(--white);
    padding: 200px 40px; 
    
}

.Register-form-wrapper{
    font-family: var(--font-family);
    position: absolute;
    top: 50%;
    left: 70%;
    transform: translate(-50%, -50%);
    width: 400px;
    z-index: 5;
    background: var(--white);
    padding: 100px 40px;
}

.login-logo {
    display: block;
    max-width: 210px;
    margin: 0 auto 2rem;
}

.form-group {
    margin-bottom: 1.2rem;
}

.custom-input-group {
    display: flex;
    align-items: center;
    border: 1px solid #ccc;
    border-radius: 6px;
    background-color: #fff;
    overflow: hidden;
}

.custom-icon {
    padding: 10px;
    color: #888;
    background-color: #f1f1f1;
}

.custom-input {
    flex: 1;
    padding: 10px;
    border: none;
    outline: none;
    font-size: 15px;
}

.custom-input::placeholder {
    font-size: 14px;
    color: var(--primary-light-font);
}

.clickable {
    cursor: pointer;
}

.btn-custom {
    width: 100%;
    background-color: var(--alert-red);
    color:var(--white);
    padding: 12px;
    font-size: 15px;
    font-weight: 500;
    border: none;
    border-radius: 6px;
    transition: background-color 0.3s ease;
}

.btn-custom:hover {
    background-color: var(--accent-red);
}

.login-links {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    margin-bottom: 1rem;
}

.login-links a {
    color: var(--red);
    text-decoration: none;
}

.login-links a:hover {
    text-decoration: underline;
}
.forgot-link {
  font-size: 13px;
  color: var(--primary-light-font);
  text-decoration: none;
}

.forgot-link:hover {
  text-decoration: underline;
}


/* Responsive */

@media (max-width: 768px) {
    .main-wrapper {
        background-color: var(--card-bg);
    }

    .left-side, .right-side {
        display: none;
    }

    .login-form-wrapper, .Register-form-wrapper {
        /* width: 90%; */
        padding: 50px 20px;
        left: 50%;
        border-radius: 5px;
    } 
}


@media (max-width: 426px) {

    .left-side, .right-side {
        display: none;
    }

    .login-form-wrapper, .Register-form-wrapper {
        width: 90%;
        padding: 50px 10px;
        left: 50%;
        border-radius: 5px;
    }

    .custom-input-group {
        font-size: 12px;
    }
    .custom-input {
        padding: 8px;
        font-size: 12px;

    }
    .custom-input::placeholder {
        font-size: 12px;
    }   

    .login-logo {
        max-width: 180px;
    }

    .btn-custom {
        padding: 10px;
        font-size: 12px;
    }
    .forgot-link{
        font-size: 12px;
    }

}